Bug 60577 - gcc-3.0.1 gcc test suite contains alpha failures
gcc-3.0.1 gcc test suite contains alpha failures
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Beth Uptagrafft
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-01 14:44 EST by Christopher Holmes
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 05:47:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Holmes 2002-03-01 14:44:13 EST
Description of Problem:

	gcc-3.0.1 gcc test suite contains alpha failures

Version-Release number of selected component (if applicable):

	gcc3-3.0.1-5.src.rpm

How Reproducible:

	always

Steps to Reproduce:

1. rpm -i gcc3-3.0.1-5.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc3.spec
4. cd /usr/src/redhat/BUILD/gcc-3.0.1-20011002/obj-alpha-redhat-linux
5. make -k check
6. compare ./gcc/testsuite/gcc.{sum,log} with one produced on an Intel machine

Actual Results:

gcc.sum on alpha:
	# of expected passes		15328
	# of unexpected failures	7
	# of expected failures		80
	# of unresolved testcases	6
	# of unsupported tests		53
gcc.sum on intel:
	# of expected passes		15369
	# of unexpected successes	3
	# of expected failures		79
	# of unsupported tests		22

Expected Results:

Alpha results that match Intel results

Additional Information:
	alpha tests run on ES40
Comment 1 Jakub Jelinek 2002-03-04 05:47:08 EST
This compiler was included as a technology preview, at least I never understood
this as something we'd fully support.
There is an errata ongoing for gcc3-3.0.4-1, but the unsupported status is not
changed at all for it (at least on Intel, dunno about Alpha).
Comment 2 Beth Uptagrafft 2002-04-24 14:21:04 EDT
gcc-3.0.1 was provided as a technology preview and is not supported.  Besides, 
there are 7 gcc failures compared to 3 on intel. 6 of the 7 gcc failures are a 
single test case (gcc.c-torture/execute/20010403-1.c),with 6 different options. 
Given there are only 2 true failures, this is inline with intel.

Note You need to log in before you can comment on or make changes to this bug.